#include <iostream>
#include <stdio.h>
#include <math.h>
#include <string>
using namespace std;

int main()
{
   string x,y,z,maxim="",maximovaprda="",parfem="";
   cin>>x>>y>>z;
   if(x>=y && x>=z){
        maxim=x;
        if(y>=z){
            maximovaprda=y;
            parfem=z;
        }
        else{
            maximovaprda=z;
            parfem=y;
        }
   }
   if(y>=x && y>=z){
        maxim=y;
        if(x>=z){
            maximovaprda=x;
            parfem=z;
        }
        else{
            maximovaprda=z;
            parfem=x;
        }
   }
   if(z>=x && z>=y){
        maxim=z;
        if(x>=y){
            maximovaprda=x;
            parfem=y;
        }
        else{
            maximovaprda=y;
            parfem=x;
        }
   }
   cout<<maxim+maximovaprda+parfem;
    return 0;
}